Bug 20881 - /etc/X11/xdm/Xsession code error
Summary: /etc/X11/xdm/Xsession code error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-14 21:59 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 00:57:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-14 21:59:16 UTC
In homedir/.xsession-errors we were continually getting the error message
"/etc/X11/xdm/Xsession: [: too many arguments"

In /etc/X11/xdm/Xsession I found that $XKB_IN_USE was not quoted inside
square brackets (test) in two places.  Using double quotes around those
expressions got rid of the error message.

Comment 1 Mike A. Harris 2001-03-17 20:11:23 UTC
Fixed in Rawhide.  Thanks for reporting the error!


Note You need to log in before you can comment on or make changes to this bug.